# Syncthing and Radicale configuration
{ config, pkgs, lib, ... }:
{

  environment.systemPackages = with pkgs; [
    syncthing
    syncthing-relay
    syncthing-discovery
    radicale
  ];

  # Enable Syncthing
  services.syncthing = {
    enable = true;
    openDefaultPorts = true;
    guiAddress = "0.0.0.0:8384";
    dataDir = "/vault/syncthing";
    declarative = {
      devices = {
        monolith = { id = "QGDGEZQ-INE7XDY-DNX2QI4-QI7ANQJ-57REEO2-FUMH545-FZS5RYU-ULF7HA2"; };
      };
      #cert = "";
      #key = "";
      folders = {};
    };
    #relay = {
      #enable = true;
      #pools = "";
    #};
  };

  # Enable Radicale
  services.radicale = {
    enable = true;
    config = ''

    '';
  };



}
